Bug 21663 - xinetd gets ROOTs home variables (breaks cvs)
xinetd gets ROOTs home variables (breaks cvs)
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: xinetd (Show other bugs)
7.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-03 17:39 EST by Stephen John Smoogen
Modified: 2007-04-18 12:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-03 18:12:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen John Smoogen 2000-12-03 17:39:12 EST
xinetd like inetd before it gets various enviroment variables of the root
user. One of those variables is $HOME which when setting up a CVS pserver
causes the following problem:

smooge:{public_html}$ cvs co CVSROOT
cvs server: cannot open /root/.cvsignore: Permission denied
cvs [server aborted]: can't chdir(/root): Permission denied

A fix was the following to the /etc/init.d/xinetd file was the following:

root:{/root}# diff -u ./xinetd.orig /etc/init.d/xinetd
--- ./xinetd.orig       Sun Dec  3 17:39:55 2000
+++ /etc/init.d/xinetd  Sun Dec  3 17:34:02 2000
@@ -17,6 +17,9 @@

 PATH=/sbin:/bin:/usr/bin:/usr/sbin

+export HM_TMP=$HOME
+export HOME=""
+
 # Source function library.
 . /etc/init.d/functions

@@ -94,4 +97,5 @@
        RETVAL=1
 esac

+export HOME=$HM_TMP
 exit $RETVAL
Comment 1 Trond Eivind Glomsrxd 2000-12-03 18:12:18 EST
I'll unset it.
Comment 2 Trond Eivind Glomsrxd 2000-12-04 11:34:32 EST
Fixed in xinetd-2.1.8.9pre13-3, coming soon to a Rawhide near you.

Note You need to log in before you can comment on or make changes to this bug.